%define name cdrecord
%define archname cdrtools
%define major 1
%define minor 11
%define patchversion a15
%define version %{major}.%{minor}
%define release 0.a15.2mdk
%define prefix /usr
%define mkisofs_ver 1.15
%define mkisofs_rel 0.a15.2mdk

Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Epoch: 3
Summary: A command line CD/DVD-Recorder
Group: Archiving/Cd burning
Icon: cdrecord-logo.xpm
URL: http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html
Source: ftp://ftp.fokus.gmd.de/pub/unix/cdrecord/%{archname}-%{major}.%{minor}%{patchversion}.tar.bz2
# http://www.abcpages.com/~mache/cdrecord-dvd.html
Patch0: cdrtools-1.11a11-dvd.patch
Patch1: cdrecord-arch-fix.patch.bz2
# http://www.kernel.org/pub/linux/kernel/people/hpa/zisofs/
Patch2: cdrtools-1.11a09-zisofs.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Prefix: %{prefix}
Requires: mkisofs
Prereq: /usr/sbin/groupadd
%package devel
Summary: The libschily SCSI user level transport library
Group: Development/C

%package cdda2wav
Summary: CD-Audio to .wav converter
Group: Sound
Icon: cdda2wav-logo.xpm

%package -n mkisofs
Version: %{mkisofs_ver}
Release: %{mkisofs_rel}
Epoch: 1
Group: Archiving/Cd burning
Icon: mkisofs-logo.xpm
Summary: Creates an image of an ISO9660 filesystem.

%description
Cdrecord allows you to create CDs on a CD-Recorder (SCSI/ATAPI).
Supports data, audio, mixed, multi-session and CD+ discs etc.

%description devel
The cdrecord distribution contains a SCSI user level transport
library.  The SCSI library is suitable to talk to any SCSI device
without having a special driver for it.

Cdrecord may be easily ported to any system that has a SCSI device
driver similar to the scg driver.

%description cdda2wav
cdda2wav reads audio CDs, outputting a wav file.

%package dvdhack
Summary: Patched version of cdrecord with DVD support
Group: Archiving/Cd burning

%description dvdhack

Cdrecord allows you to create CDs on a CD-Recorder (SCSI/ATAPI).
Supports data, audio, mixed, multi-session and CD+ discs etc.
This version include a basic DVD support. 

%description -n mkisofs
This is the mkisofs package.  It is used to create ISO 9660
file system images for creating CD-ROMs. Now includes support
for making bootable "El Torito" CD-ROMs.

%prep
%setup -q -n %{archname}-%{major}.%{minor}
#%patch0 -p0
%patch1 -p0
#%patch2 -p1

%build
%ifarch ia64
(cd RULES && {
	cp i686-linux-cc.rul ia64-linux-cc.rul
	cp i686-linux-gcc.rul ia64-linux-gcc.rul
	}
)
%endif

{
# build zisofs / DVD version
rm -rf building && mkdir -p building/$RPM_ARCH-linux-dvd
cp -fr Makefile Gmake RULES TARGETS DEFAULTS TEMPLATES bins cdrecord cmd conf inc include incs lib libdeflt libfile libhfs_iso librscg libs libschily libunls rscsi scgcheck building/$RPM_ARCH-linux-dvd
cp -r libscg/ building/$RPM_ARCH-linux-dvd/
cd building/$RPM_ARCH-linux-dvd
cat %{PATCH0} | patch -p1
# zisofs not put for the moment
# cat %{PATCH2} | patch -p1
CFLAGS=$RPM_OPT_FLAGS CONFFLAGS="%{_target_platform} --prefix=%{_prefix}" XK_ARCH=%{_target_cpu} ./Gmake
cd ../..
}

CFLAGS=$RPM_OPT_FLAGS CONFFLAGS="%{_target_platform} --prefix=%{_prefix}" XK_ARCH=%{_target_cpu} ./Gmake


%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

XK_ARCH=%{_target_cpu} ./Gmake "INS_BASE=$RPM_BUILD_ROOT/%{prefix}" install MANDIR=share/man

install -m 755 cdda2wav/cdda2mp3 $RPM_BUILD_ROOT/usr/bin/

cp building/$RPM_ARCH-linux-dvd/cdrecord/OBJ/%{_target_cpu}-linux-cc/cdrecord building/$RPM_ARCH-linux-dvd/cdrecord/OBJ/%{_target_cpu}-linux-cc/cdrecord-dvdhack && install -m 755 building/$RPM_ARCH-linux-dvd/cdrecord/OBJ/%{_target_cpu}-linux-cc/cdrecord-dvdhack $RPM_BUILD_ROOT/usr/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) %doc AN-%{major}.%{minor} doc/cdrecord.ps doc/isoinfo.ps Changelog README*
%attr(6755,root,cdwriter) %{_bindir}/cdrecord
%attr(755,root,cdwriter) %{_bindir}/devdump
%attr(755,root,cdwriter) %{_bindir}/isodump
%attr(755,root,cdwriter) %{_bindir}/isoinfo
%attr(755,root,cdwriter) %{_bindir}/isovfy
%attr(755,root,cdwriter) %{_bindir}/scgcheck
%attr(2750,root,cdwriter) %{_bindir}/readcd
%attr(755,root,cdwriter) %{_sbindir}/rscsi
%attr(644,root,root) %{_mandir}/man1/cdrecord.1*
%attr(644,root,root) %{_mandir}/man1/scgcheck.1*
%attr(644,root,root) %{_mandir}/man8/isoinfo.8*

%files cdda2wav
%defattr(-,root,root)
%doc doc/cdda2wav.ps cdda2wav/FAQ cdda2wav/README cdda2wav/GPL Changelog
%attr(755,root,cdwriter) %{_bindir}/cdda2wav
%attr(755,root,root) %{_bindir}/cdda2mp3
%attr(644,root,root) %{_mandir}/man1/cdda2wav.1*

%files devel
%defattr(-,root,root)
%doc AN-*
%attr(644,root,root) %{_libdir}/*.a
%attr(644,root,root) %{_includedir}/*.h

%files dvdhack
%defattr(-,root,root)
%{_bindir}/cdrecord-dvdhack

%files -n mkisofs
%defattr(-,root,root)
%doc mkisofs/COPYING mkisofs/ChangeLog README mkisofs/TODO mkisofs/README.*
%doc doc/mkisofs.ps
%{_bindir}/mkisofs
%{_bindir}/mkhybrid
%attr(644,root,root) %{_mandir}/man8/mkisofs.8*
%attr(644,root,root) %{_mandir}/man8/mkhybrid.8*

%changelog
* Thu Feb 28 2002 Warly <warly@mandrakesoft.com> 1.11-0.a15.2mdk
- change mkisofs permission to standard ones

* Tue Feb 26 2002 Warly <warly@mandrakesoft.com> 1.11-0.a15.1mdk
- new version

* Tue Feb 12 2002 Warly <warly@mandrakesoft.com> 1.11-0.a14.1mdk
- new version

* Fri Feb  1 2002 Warly <warly@mandrakesoft.com> 1.11-0.a13.4mdk
- add new package cdrecord-dvdhack with DVD support

* Tue Jan 29 2002 Warly <warly@mandrakesoft.com> 1.11-0.a13.3mdk
- change cdda2wav to 755

* Mon Jan 28 2002 Warly <warly@mandrakesoft.com> 1.11-0.a13.2mdk
- change permission of cdda2wav to 6755 to make it works.

* Fri Jan 25 2002 Daouda LO <daouda@mandrakesoft.com> 1.11-0.a13.1mdk
- patch level a13

* Mon Jan  7 2002 Warly <warly@mandrakesoft.com> 1.11-0.a12.1mdk
- new version

* Thu Aug  2 2001 Warly <warly@mandrakesoft.com> 1.10-2mdk
- real version of mkisofs

* Tue Apr 24 2001 Warly <warly@mandrakesoft.com> 1.10-1mdk
- 1.10

* Tue Apr 10 2001 Warly <warly@mandrakesoft.com> 1.10-0.1.a18mdk
- devel version

* Fri Mar 02 2001 Francis Galiegue <fg@mandrakesoft.com> 1.9-5mdk

- Fix build on ia64

* Mon Jan 29 2001 Daouda Lo <daouda@mandrakesoft.com> 1.9-4mdk
- back to version 1.9 ("xcdroast don't work for OTHER VERSION than 1.9 ")-> big warly sux.
  
* Sat Sep  2 2000 Till Kamppeter <till@mandrakesoft.com> 1.9-3mdk
- To make X-CD-Roast 0.98 working for non-root users made following
  executables SGID cdwriter:

    readcd
    mkisofs
    mkhybrid

  and the following both SUID root and SGID cdwriter

    cdrecord
    cdda2wav

  All these executable access to /dev/scd? and /dev/sg? devices which
  are accessable for the group cdwriter. cdrecord and cdda2wav have real
  time scheduling and memory locking capabilities which needs them running
  SUID root. The author of these programs has implemented security measures
  to run this programs safely with these privileges.
- Set permissions so that the user who wants to burn must be member of
  "cdwriter" group.

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9-2mdk
- change version of sub package mkisofs since it has been upgraded

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9-1mdk
- new release, BM

* Fri Jun  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.8.1-4mdk
- Fix buffer overflow (yoann).

* Mon May 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.8.1-3mdk
- no more nasty i686-pc-linux-gnu, now uses %{ _target_cpu } 
- fixed some file not found

* Wed May 03 2000 Warly <warly@mandrakesoft.com> 1.8.1-2mdk
- add serial for upgrade

* Thu Apr 27 2000 Warly <warly@mandrakesoft.com> 1.8.1-1mdk
- 1.8.1

* Tue Apr 4 2000 Warly <warly@mandrakesoft.com> 1.8.1a03-2mdk
- correct group, remove the other 

* Sat Mar 25 2000 Warly <warly@mandrakesoft.com> 1.8.1a03-1mdk
- new group: Archiving/Other/Cd burning 
- 1.8.1a03

* Thu Mar  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.8a29-5mdk
- Remove ugly mknod in %post, move them to dev package (#78).
- Remove ugly groupadd in %pre already in setup package (#78)

* Fri Jan 14 2000 Francis Galiegue <francis@mandrakesoft.com>

- one-liner fix to libscg/scg/scgcmd.h
- gcc defines __sparc__, not __sparc nor sparc

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Grhh fix building as user.

* Sun Nov 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Mon Sep 20 1999 Bernhard Rosenkrnzer <bero@linux-mandrake.com>
- 1.8a29
- Prereq /usr/sbin/groupadd

* Mon Sep 13 1999 Daouda LO <daouda@mandrakesoft.com>
- 1.8a27

* Sat Aug 14 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.de>
- 1.8a24

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- mkisofs was missing a Summary line...

* Fri Jul 16 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.de>
- 1.8a23

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- inc %release just to be safe

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- cdrecord should be sgid
- out of the rpm ready devices

* Tue Jul 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for new environement (VER: 3mdk).

* Mon May 17 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 1.8a22
- Make use of group cdwriter (as introduced in xcdroast)
- move device creation here (used to be in xcdroast, which is nonsense).
- spec fixes
- add xcdroast (-x) patch to mkisofs

* Sat May 01 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update to 1.8a20

* Wed Mar 10 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- 1.8a19
- create mkisofs and cdda2wav packages, add readcd to main RPM

* Sun Feb 7 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- 1.8a16

* Tue Dec 8 1998 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- start with FM release 1
- bzip2 man page

* Mon Nov 30 1998 Ryan Weaver <ryanw@infohwy.com>
  [cdrecord-1.8a13-1]
- Updated to 1.8a1
- NEW features of cdrecord-1.8a13:
- First Advent: First separate scg library ;-)
	Currently only the low level and mid level transport stuff
- corrected error detection code in scsierrs.c to fix
	- missing NULL ptr at end of CCS error table
	- <= -> < problem for invalid sense code vs. vendor uniqe sense code

* Fri Nov 27 1998 Ryan Weaver <ryanw@infohwy.com>
  [cdrecord-1.8a12-1]
- Updated to 1.8a12
- NEW features of cdrecord-1.8a12:
- Fixed a typo in scsitransp.c that prevented compilation
	on some Linux releases.

* Wed Nov 25 1998 Ryan Weaver <ryanw@infohwy.com>
  [cdrecord-1.8a11-1]
- Upadted to 1.8a11
- Got patch from Jrg Schilling <schilling@fokus.gmd.de>
  to compile on linux.
- NEW features of cdrecord-1.8a11:
- Starting with official support for SCO Openserver 5
	NOTE: You will need to have a CD in the closed tray of the 
	drive otherwise cdrecord is not able to open the device.
- Fixed a bug in scsi-sco.c that prevented compilation.
- Added DEFAULTS files for SCO
- Fixed the autoconf detection stuff for major()/minor()
- Fixed the autoconf detection stuff for not working mlockall() on SCO/HP-UX
- Fixed mkisofs-1.12b4/diag/isoinfo.c to allow compilation on SCO
- New S_IS*() macros to allow compilation on OS/2 with missing S_IFBLK
- Added a static configuration for VMS
- Some fixes that are needed for VMS
- Added a file cdrecord/build_all.com to compile cdrecord on VMS
- Fixed isnan() code to fit SCO Openserver and VMS
- Incorporating now an experimental version of cdda2wav-0.95beta08
	Report problems to: heiko@colossus.escape.de
- NOTE: cdda2wav and mkisofs are not included in cdrecord rpm.

* Fri Nov 20 1998 Ryan Weaver <ryanw@infohwy.com>
  [cdrecord-1.8a10-1]
- Updated to 1.8a10
